CURLINFO_SPEED_UPLOAD(3)

NAME
CURLINFO_SPEED_UPLOAD - get upload speed

SYNOPSIS
#include <curl/curl.h>
CURLcode curl_easy_getinfo(CURL *handle, CURLINFO_SPEED_UPLOAD, double *speed);

DESCRIPTION
Pass a pointer to a double to receive the average upload speed that curl measured for the complete upload. Measured in bytes/second. CURLINFO_SPEED_UPLOAD_T(3) is a newer replacement that returns a more sensible variable type.

PROTOCOLS

EXAMPLE
CURL *curl = curl_easy_init();
if(curl) {
  curl_easy_setopt(curl, CURLOPT_URL, "https://example.com");
  /* Perform the request */
  res = curl_easy_perform(curl);
  if(!res) {
    double speed;
    res = curl_easy_getinfo(curl, CURLINFO_SPEED_UPLOAD, &speed);
    if(!res) {
      printf("Upload speed %.0f bytes/sec\n", speed);
    }
  }
}

AVAILABILITY
Added in

RETURN VALUE
Returns CURLE_OK if the option is supported, and CURLE_UNKNOWN_OPTION if not.

SEE ALSO
curl_easy_getinfo(3), curl_easy_setopt(3), CURLINFO_SPEED_DOWNLOAD(3),